{ config, lib, pkgs, ... }:

let
  cfg = config.ashe.network;
in {
  networking.firewall.allowedTCPPorts = cfg.openPorts;

  networking.interfaces.${cfg.interface}.ipv4.addresses = [ {
    address = cfg.address;
    prefixLength = cfg.prefix;
  } ];

  networking.defaultGateway = cfg.gateway;
  networking.nameservers = cfg.nameservers;

  networking.wireless.enable = cfg.wireless;
  networking.networkmanager.enable = cfg.networkManager;
}
