{ config, lib, pkgs, ... }:

with lib;

{
  options.ashe.system = {
    hostname = mkOption { type = types.str; };
    timezone = mkOption { type = types.str; default = "America/Denver"; };
    locale = mkOption { type = types.str; default = "en_US.UTF-8"; };
    x11 = mkEnableOption "x11";
    shell = mkPackageOption pkgs "zsh" { };
    disk = mkOption { type = types.str; };
  };

  options.ashe.user = {
    username = mkOption { type = types.str; default = "ashe"; };
    description = mkOption { type = types.str; default = "Ashelyn"; };
    password = mkOption { type = types.str; };
    packages = mkOption { type = types.listOf types.package; default = [ ]; };
  };

  options.ashe.network = {
    interface = mkOption { type = types.str; };
    address = mkOption { type = types.str; };
    prefix = mkOption { type = types.int; };
    gateway = mkOption { type = types.str; };
    nameservers = mkOption { type = types.listOf types.str; };

    openPorts = mkOption { type = types.listOf types.port; default = [ 22 80 443 ]; };
    wireless = mkEnableOption "wireless";
    networkManager = mkEnableOption "Network Manager";
  };
}
